Retry webhook delivery
curl --request POST \
--url https://api.social-api.ai/v1/webhooks/{id}/deliveries/{did}/retry \
--header 'Authorization: <api-key>'const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/webhooks/{id}/deliveries/{did}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/webhooks/{id}/deliveries/{did}/retry"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"attempt_count": 123,
"attempts": [
{
"attempt_number": 123,
"created_at": "<string>",
"duration_ms": 123,
"error_message": "<string>",
"response_body": "<string>",
"status_code": 123
}
],
"created_at": "<string>",
"description": "<string>",
"endpoint_id": "<string>",
"event_type": "<string>",
"id": "<string>",
"payload": [
123
],
"response_duration_ms": 123,
"response_status_code": 123,
"status": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Webhooks
Retry webhook delivery
Requeues a failed webhook delivery for another attempt. Returns the updated delivery record.
POST
/
webhooks
/
{id}
/
deliveries
/
{did}
/
retry
Retry webhook delivery
curl --request POST \
--url https://api.social-api.ai/v1/webhooks/{id}/deliveries/{did}/retry \
--header 'Authorization: <api-key>'const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/webhooks/{id}/deliveries/{did}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/webhooks/{id}/deliveries/{did}/retry"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"attempt_count": 123,
"attempts": [
{
"attempt_number": 123,
"created_at": "<string>",
"duration_ms": 123,
"error_message": "<string>",
"response_body": "<string>",
"status_code": 123
}
],
"created_at": "<string>",
"description": "<string>",
"endpoint_id": "<string>",
"event_type": "<string>",
"id": "<string>",
"payload": [
123
],
"response_duration_ms": 123,
"response_status_code": 123,
"status": "<string>"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...